## libwcsmbs 0.0.5

=== Makefile ===
#
# Makefile for libwcsmbs
# Copyright (c) 1998 Fumitoshi UKAI <ukai@debian.or.jp>
#

SOVER=0.0
MVER=0

#ALTGCC=/usr/i486-linuxlibc1/bin/gcc

CFLAGS=-fPIC -Wall -O2 -I. -D_REENTRANT -D_GNU_SOURCE -DLOCALE_PATH='"/usr/share/locale:/usr/share/i18n"' -DLOCALEDIR='"/usr/share/locale"' -DLOCALE_ALIAS_PATH='"/usr/share/locale:/usr/share/i18n"' -DCHARMAP_PATH='"/usr/share/i18n/charmaps"' -DLOCSRCDIR='"/usr/share/i18n/locales"' -DHAVE_CONFIG_H -include libc-symbols.h
OBJS= setlocale.o mblen.o mb_cur_max.o \
	mbrtowc.o mbsnrtowcs.o mbsrtowcs.o \
	mbstowcs.o mbtowc.o wcrtomb.o wcsnrtombs.o \
	wcsrtombs.o wcstombs.o wctomb.o

ifdef ALTGCC
WCSMBS=libwcsmbs.so libwcsmbs-libc5.so
else
WCSMBS=libwcsmbs.so
endif

all: $(WCSMBS)

libwcsmbs.so: $(OBJS)
	$(CC) -fPIC -shared -Wl,-soname,libwcsmbs.so.0 \
                        -o libwcsmbs.so $(OBJS) -lc

libwcsmbs-libc5.so:
	-test -d /lib/libc5-compat && \
	cat /dev/null | $(ALTGCC) -fPIC -shared -Wl,-soname,libwcsmbs.so.0 \
			-o libwcsmbs-libc5.so 

install:
	install -o root -m 644 libwcsmbs.so $(DESTDIR)/lib/libwcsmbs.so.$(SOVER)
	cd $(DESTDIR)/lib && \
		ln -s libwcsmbs.so.$(SOVER) libwcsmbs.so.$(MVER); \
		ln -s libwcsmbs.so.$(SOVER) libwcsmbs.so
	-test -d /lib/libc5-compat && \
	 test -f libwcsmbs-libc5.so && \
	 (install -o root -m 644 libwcsmbs-libc5.so \
                     $(DESTDIR)/lib/libc5-compat/libwcsmbs.so.$(SOVER); \
		cd $(DESTDIR)/lib/libc5-compat && \
		ln -s libwcsmbs.so.$(SOVER) libwcsmbs.so.$(MVER); \
		ln -s libwcsmbs.so.$(SOVER) libwcsmbs.so)

clean:
	-rm -f *.o *.so *.so.*

# EOF
