=== debian/changelog ===
libwcsmbs (0.0.5) frozen unstable; urgency=medium

  * (debian/control) Depends: libc6 (>= 2.0.7u), libc6 (< 2.0.8); close bug#30013
  * (Makefile) test -d /lib/libc5-compat 
  * (Makefile) ignore exit value of test -f libwcsmbs-libc5.so
  * (debian/postinst) fix Bug#JP/586, fix not to print "grep: ld.so.preload: No such file or directory"

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 15 Nov 1998 11:09:50 +0900

libwcsmbs (0.0.4) unstable; urgency=low

  * don't hardcode architecture strings in makefile, close Bug#28084 

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 20 Oct 1998 21:34:16 +0900

libwcsmbs (0.0.3) unstable; urgency=low

  * install shlibs to avoid dpkg-shlibdeps warning

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  9 Oct 1998 09:01:22 +0900

libwcsmbs (0.0.2) unstable; urgency=low

  * based on glibc_2.0.7u 
  * dl-close.c is no longer included, because dl-close bug has been fixed in glibc_2.0.7u (so libwcsmbs 0.0.2 depends libc6 (>= 2.0.7u))

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  8 Oct 1998 02:48:30 +0900

libwcsmbs (0.0.1) unstable; urgency=low

  * close Bug/JP#546
  - don't use full path name in /etc/ld.so.preload
  - install dummy libwcsmbs.so into /lib/libc5-compat/

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 13 Sep 1998 23:47:54 +0900

libwcsmbs (0.0) unstable; urgency=low

  * Initial Release.
  * based on glibc_2.0.7t.orig.tar.gz, glibc_2.0.7t-1.diff.gz and
    - glibc_2.0.7t-1-1.wcsmbs.4.1.patch

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 11 Sep 1998 18:47:28 +0900

Local variables:
mode: debian-changelog
End:
