=== debian/control ===
Source: libwcsmbs
Section: libs
Priority: optional
Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
Standards-Version: 2.4.0.0

Package: libwcsmbs
Architecture: any
Depends: ${shlibs:Depends}, libc6 (>= 2.0.7u), libc6 (<< 2.0.8)
Description: Preload library that support wcsmbs-locale
 Since libc6 does not support multibyte character encodings,
 we cannot use Japanese or other languages which use multibyte character
 encodings.  
 .
 This package provides the framework to support such encodings.
