=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.
#
# modified for libwcsmbs by Fumitoshi UKAI <ukai@debian.or.jp>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

arch=$(shell dpkg --print-gnu-build-architecture)
ALTGCC=/usr/$(arch)-linuxlibc1/bin/gcc

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) ALTGCC=$(ALTGCC)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) ALTGCC=$(ALTGCC) install DESTDIR=`pwd`/debian/tmp

	dh_installdocs debian/README.wcsmbs \
		debian/wcsmbs.patch
#	dh_installexamples
#	dh_installmenu
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
#	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
# libwcsmbs.so only used for preload, no need to generate shlibs
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
